Gecode::TieBreak< VarBranch > Class Template Reference

Combine variable selection criteria for tie-breaking. More...

`#include <tiebreak.hpp>`

## Public Member Functions

| TieBreak (VarBranch a0=VarBranch(), VarBranch b0=VarBranch(), VarBranch c0=VarBranch(), VarBranch d0=VarBranch())
| Initialize with variable selection criteria.

## Public Attributes

VarBranch | a
| Branching criteria to try in order.
VarBranch | b
VarBranch | c
VarBranch | d

## Detailed Description

template<class VarBranch>
class Gecode::TieBreak< VarBranch >

Combine variable selection criteria for tie-breaking.

Definition at line 38 of file tiebreak.hpp.

## Constructor & Destructor Documentation

## TieBreak()

template<class VarBranch>

Gecode::TieBreak< VarBranch >::TieBreak | ( | VarBranch | a0 = VarBranch(),
|  | VarBranch | b0 = VarBranch(),
|  | VarBranch | c0 = VarBranch(),
|  | VarBranch | d0 = VarBranch() )

inline

Initialize with variable selection criteria.

Definition at line 72 of file tiebreak.hpp.

## Member Data Documentation

## a

template<class VarBranch>

VarBranch Gecode::TieBreak< VarBranch >::a

Branching criteria to try in order.

Definition at line 41 of file tiebreak.hpp.

## b

template<class VarBranch>

VarBranch Gecode::TieBreak< VarBranch >::b

Definition at line 41 of file tiebreak.hpp.

## c

template<class VarBranch>

VarBranch Gecode::TieBreak< VarBranch >::c

Definition at line 41 of file tiebreak.hpp.

## d

template<class VarBranch>

VarBranch Gecode::TieBreak< VarBranch >::d

Definition at line 41 of file tiebreak.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/branch/tiebreak.hpp